NOTMatcher Class Reference
Inheritance diagram for NOTMatcher:
[legend]
Collaboration diagram for NOTMatcher:
[legend]

## Public Member Functions

| NOTMatcher (Matcher *const matcher)
bool | operator() (pkgCache::PkgIterator const &Pkg) override
bool | operator() (pkgCache::GrpIterator const &Grp) override
bool | operator() (pkgCache::VerIterator const &Ver) override

## Member Function Documentation

## operator()() [1/3]

bool operator() | ( | pkgCache::GrpIterator const & | Grp | ) |

override virtual

Implements Matcher.

## operator()() [2/3]

bool operator() | ( | pkgCache::PkgIterator const & | Pkg | ) |

override virtual

Implements Matcher.

## operator()() [3/3]

bool operator() | ( | pkgCache::VerIterator const & | Ver | ) |

override virtual

Implements Matcher.

The documentation for this class was generated from the following files:

- apt-pkg/cachefilter.h
- apt-pkg/cachefilter.cc